CRMchat APIBeta
Telegram APIPayments

payments.getGiveawayInfo

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getGiveawayInfo

Obtain information about a Telegram Premium giveaway ».

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Obtain information about a Telegram Premium giveaway ».

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getGiveawayInfo" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "msgId": 0    }  }'
{  "result": {    "_": "payments.giveawayInfo",    "participating": true,    "preparingResults": true,    "startDate": 0,    "joinedTooEarlyDate": 0,    "adminDisallowedChatId": "string",    "disallowedCountry": "string"  }}